com.ihr.xbrl.om.table.definition

## Class ExplicitDimensionAspectNode

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.DimensionAspectNode<javax.xml.namespace.QName>
  - - com.ihr.xbrl.om.table.definition.ExplicitDimensionAspectNode

- All Implemented Interfaces:
    DimensionAspectInterface<javax.xml.namespace.QName>, DimensionsAspectInterface<javax.xml.namespace.QName>, ExplicitDimensionsAspectInterface, HasAspectNode, MutableAspectValue, Aspect<DimensionAndValuePair<javax.xml.namespace.QName>>

      public class ExplicitDimensionAspectNode
      extends DimensionAspectNode<javax.xml.namespace.QName>
      implements ExplicitDimensionsAspectInterface

  The Class ExplicitDimensionAspectNode.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel(CellHeader ch)` Returns a text representation of the aspect value that can be used in the GUI as the cell header.
    `DimensionAndMemberQNamesPair` | `getMember(XBRLStructuralTable table, CellHeader[] header)` Convert this aspect into a proper Member
    `javax.xml.namespace.QName[]` | `getMembers()` Gets the dimension.
    `int` | `getMembersCount()` Gets the members count.
    `void` | `resetNode()` Reset node.
    `void` | `setValues(java.util.Set<?> distinctValues)` Sets the values.

    - ### Methods inherited from class com.ihr.xbrl.om.table.definition.DimensionAspectNode

      `create, getAspectClashIdentity, getAspectNode, getAspectType, getDimension`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.definition.DimensionAspectInterface

      `getDimension`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.structural.Aspect

      `getAspectClashIdentity, getAspectType`

- - ### Method Detail

    - #### setValues

          public void setValues(java.util.Set<?> distinctValues)

      Description copied from interface: `DimensionsAspectInterface`
      Sets the values.
      Specified by:
        `setValues` in interface `DimensionsAspectInterface<javax.xml.namespace.QName>`
      Specified by:
        `setValues` in interface `MutableAspectValue`
      Parameters:
        `distinctValues` - the new values

    - #### getMembers

          public javax.xml.namespace.QName[] getMembers()

      Description copied from interface: `ExplicitDimensionsAspectInterface`
      Gets the dimension.
      Specified by:
        `getMembers` in interface `ExplicitDimensionsAspectInterface`
      Returns:
        the dimension

    - #### getMembersCount

          public int getMembersCount()

      Description copied from interface: `DimensionsAspectInterface`
      Gets the members count.
      Specified by:
        `getMembersCount` in interface `DimensionAspectInterface<javax.xml.namespace.QName>`
      Specified by:
        `getMembersCount` in interface `DimensionsAspectInterface<javax.xml.namespace.QName>`
      Returns:
        the members count

    - #### getMember

          public DimensionAndMemberQNamesPair getMember(XBRLStructuralTable table,
                                               CellHeader[] header)

      Description copied from interface: `Aspect`
      Convert this aspect into a proper Member depending on the aspect type. Member can be used later to search for facts that satisfy the set of members
      Specified by:
        `getMember` in interface `Aspect<DimensionAndValuePair<javax.xml.namespace.QName>>`
      Parameters:
        `table` - the table
        `header` - the header
      Returns:
        the member

    - #### resetNode

          public void resetNode()

      Description copied from interface: `DimensionAspectInterface`
      Reset node.
      Specified by:
        `resetNode` in interface `DimensionAspectInterface<javax.xml.namespace.QName>`

    - #### getLabel

          public java.lang.String getLabel(CellHeader ch)

      Description copied from interface: `MutableAspectValue`
      Returns a text representation of the aspect value that can be used in the GUI as the cell header.
      Specified by:
        `getLabel` in interface `MutableAspectValue`
      Parameters:
        `ch` - the ch
      Returns:
        the label